Subject: bug#33676: closed (Re: bug#33676: GuixSD on eoma68-a20?)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Apr 2020 15:34:02 +0000

Your bug report

#33676: GuixSD on eoma68-a20?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33676: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33676
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33676: GuixSD on eoma68-a20?
From: Marius Bakke <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: Danny Milosavljevic <[email-masked]>, [email-masked]
Date: Tue, 07 Apr 2020 17:33:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Is this bug report still relevant?
>
> The EOMA68-A20 board still hasn’t been completed, so I think it’s fine
> to close this bug report.

OK.  There has been quite a lot of work getting Guix System running on
various boards since this was opened, so I don't expect porting to
EOMA68-A20 to be particularily problematic.  Closing for now.

Subject: Re: GuixSD on eoma68-a20?
From: Danny Milosavljevic <[email-masked]>
To: swedebugia <[email-masked]>
Cc: guix-devel <[email-masked]>, [email-masked]
Date: Sat, 8 Dec 2018 18:12:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi swedebugia,

On Sat, 8 Dec 2018 17:39:01 +0100
swedebugia <[email-masked]> wrote:

> Could we pre-order some of these owned by the foundation to
> be used to to hack on this?
> 
> See https://www.crowdsupply.com/eoma68/micro-desktop

Guix received one but we have so far be unable to get the GuixSD flash
image because something always breaks on Hydra before it's done (for
example lack of disk space - see https://hydra.gnu.org/build/3198097/log/raw .
Note: The latter thing counts as "successful" build.  WTF?).

I have the device here in my hand (I tested it using u-boot only - works fine).

I'm now setting up my own build server and trying to get the flash image
that way - which is ridiculous.

Also, be aware that the Allwinner A20 is really really slow.  There are
ARM computers worth using as a normal PC, but this one isn't.  I tried.

(For example the Allwinner R40 is quite okay to use as a PC - see
Sinovoip Banana Pi M2 Ultra)

I like the concept of easily upgradeable computers, though!